Sensitivity Labels - List Current By Database

Egy adott adatbázis bizalmassági címkéinek lekérdezése

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/currentSensitivityLabels?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/currentSensitivityLabels?api-version=2025-01-01&$skipToken={$skipToken}&$count={$count}&$filter={$filter}

URI-paraméterek

Name In Kötelező Típus Description
databaseName
path True

string

Az adatbázis neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

serverName
path True

string

A kiszolgáló neve.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

$count
query

boolean

$filter
query

string

OData szűrőkifejezés, amely a gyűjtemény elemeit szűri.

$skipToken
query

string

Válaszok

Name Típus Description
200 OK

SensitivityLabelListResult

Az Azure működése sikeresen befejeződött.

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory OAuth2 Flow.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Gets the current sensitivity labels of a given database

Mintakérelem

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/currentSensitivityLabels?api-version=2025-01-01

Mintaválasz

{
  "value": [
    {
      "name": "current",
      "type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn3/sensitivityLabels/current",
      "properties": {
        "columnName": "myColumn3",
        "informationType": "Financial",
        "informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
        "labelId": "05e6eaa1-075a-4fb4-a732-a92215a2444a",
        "labelName": "Sensitive",
        "rank": "Low",
        "schemaName": "dbo",
        "tableName": "myTable"
      }
    },
    {
      "name": "current",
      "type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn4/sensitivityLabels/current",
      "properties": {
        "columnName": "myColumn4",
        "informationType": "Email",
        "informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
        "labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
        "labelName": "PII",
        "rank": "None",
        "schemaName": "dbo",
        "tableName": "myTable"
      }
    }
  ]
}

Definíciók

Name Description
ClientClassificationSource
createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

SensitivityLabel

Bizalmassági címke.

SensitivityLabelListResult

Az SensitivityLabel lista művelet válasza.

SensitivityLabelRank
systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

ClientClassificationSource

Érték Description
None

Nincs

Native

Native

Recommended

Ajánlott

MIP

MIP

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hiba célpontja.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

SensitivityLabel

Bizalmassági címke.

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

managedBy

string

A bizalmassági címkét kezelő erőforrás.

name

string

Az erőforrás neve

properties.clientClassificationSource

ClientClassificationSource

properties.columnName

string

Az oszlop neve.

properties.informationType

string

Az információ típusa.

properties.informationTypeId

string

Az információtípus azonosítója.

properties.isDisabled

boolean

A bizalmassági javaslat le van tiltva. Csak az ajánlott bizalmassági címke esetén alkalmazható. Megadja, hogy az oszlop bizalmassági ajánlása le van-e tiltva (elvetve) vagy sem.

properties.labelId

string

A címke azonosítója.

properties.labelName

string

A címke neve.

properties.rank

SensitivityLabelRank

properties.schemaName

string

A séma neve.

properties.tableName

string

A tábla neve.

systemData

systemData

Azure Resource Manager metaadat, amely createdBy és modifiedBy információkat tartalmaz.

type

string

Az erőforrás típusa. Például: "Microsoft. Compute/virtualMachines" vagy "Microsoft. Tárhely/tárolásFiókok"

SensitivityLabelListResult

Az SensitivityLabel lista művelet válasza.

Name Típus Description
nextLink

string (uri)

A következő oldalra mutató link

value

SensitivityLabel[]

Az SensitivityLabel elemek ezen az oldalon

SensitivityLabelRank

Érték Description
None

Nincs

Low

Alacsony

Medium

Medium

High

Magas

Critical

Létfontosságú

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.